Issue 125568 - PPTX font color is set to black
Summary: PPTX font color is set to black
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: 4.1.1
Hardware: All All
: P3 Major (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 16:11 UTC by Pedro
Modified: 2019-11-15 06:59 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Sample PPTX file showing wrong font color display (80.01 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-09-03 16:11 UTC, Pedro
no flags Details
Sample PPTX file showing wrong font color display (411.79 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-09-04 15:33 UTC, Pedro
no flags Details
Comparative image - PPTX Font Color is set to black (201.47 KB, image/png)
2017-05-12 22:36 UTC, Maida
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Pedro 2014-09-03 16:11:33 UTC
Created attachment 83920 [details]
Sample PPTX file showing wrong font color display

This problem occurs under AOO 4.1.1 (and AOO420m1(Build:9800)  -  Rev. 1621730)

Font color is a very essential/basic feature on any presentation. It is commonly used as a way to highlight important text (such as changing the color to red).

This problem did not occur on Apache OpenOffice v3.4.1 so this is a REGRESSION

This is NOT the same problem as
https://issues.apache.org/ooo/show_bug.cgi?id=119850
https://issues.apache.org/ooo/show_bug.cgi?id=119917

since these occurred in 3.4.1 and still occur on 4.2.0
Comment 1 oooforum (fr) 2014-09-04 15:10:07 UTC
(In reply to Pedro from comment #0)
> Sample PPTX file showing wrong font color display
Could you give more details?
What slide has wrong font color?
I see no difference between MS-Powerpoint viewer 2010 and Impress 4.1.1.
Comment 2 Pedro 2014-09-04 15:33:45 UTC
Created attachment 83930 [details]
Sample PPTX file showing wrong font color display

You are right. I made a subset of the original presentation and when I saved it in MSO 2010 the problem was fixed. Original PPTX now attached.

So this is a case where some PPTX files look ok using MSO and AOO 3.4.1 but not 4.1.0 and newer (did not test with previous releases in 4.x branch)
Comment 3 Simon 2014-11-23 06:39:40 UTC
I was able to reproduce the problem on OO 4.1.1 with windows on a Mac machine.
I agree with the reporter that this is not the desired behavior, the colors of your file get changed to black. When I opened the file from the attachment, it revealed the problemas described. All letters from the text in the presentation were black.

I made a couple of follow-up tests that revealed important information:
– Used other colors than red, standard colors like blue, green, yellow, brown, orange
- Created presentation file from different version of MO Powerpoint 
– Created presentation file from different vendor like Google Presentation
- I could not reproduce the problem on OO 3.2.1, so this tells me it is a regression bug.
Comment 4 Stefan Papusoi 2015-04-11 06:49:59 UTC
I successfully reproduced the bug using the stable version available on the download web page: Apache Open Office 4.1.1, AOO411m6(Build:9775)  -  Rev. 1617669 on a Windows 7 x64 OS
After that I took the latest nightly build available at this time - version Apache Open Office 4.2.0 , AOO420m1(Build:9800)  -  Rev. 1665722 . I could reproduce the issue in this version too.

For replicating the issue I used the following steps:
Download the attached .pptx file from this issue to the local disc.
Open the attached .pptx file with OO Impress.
Open the attached .pptx file also with Google Presentation viewer or LibreOffice Impress or Microsoft PowerPoint 2013.
In Google Presentation viewer and LibreOffice Impress and MS PowerPoint, part of the text existing in the slides is coloured(two types of red nuances). In OO Impress text is all black (except images which keep their colour).

There’s little documentation on how much support there is for .pptx The thing that was obvious is that it might have been supported to a certain level in the past as it was written in the release notes for version 3.0: https://www.openoffice.org/dev_docs/features/3.0/
I then took the version 3.4.1 of Apache Open Office available on the official download web page and tried to reproduce the issue. The colours of the text were kept.
So the change happened somewhere in between versions 3.4.1 and 4.1.1 as far as I can tell.

Microsoft Powerpoint presentation saves files in this .pptx format since their 2007 version of Office. These file type is still widely used. Besides Microsoft Office there is Google Presentation and another free open source version of Office - Libre Office Impress which support displaying coloured text of .pptx presentation.
Comment 5 Denilson Vargas 2016-07-11 22:45:58 UTC
Denilson Vargas 07/11/2016

This bug is still happening with stable version 4.1.2 on Windows7 x64.


I got a pptx that were created from Microsoft PowerPoint 2013 with different font colors (in order to highlight a text), but when I opened it from Impress I could see that all font colors of all text were changed to black.

Steps to recreate:

1. Have a pptx from Microsoft PowerPoint with text with different font colors (like the attachment)
2. Open the pptx from Impress
3. Review the font colors of the text were changed to black

I agree with the reporter when he says this is a very essential/basic feature, because is very common to highlight a text, for example in red or yellow, and for that reason it would be good to have this feature fixed.

Workarounds:

- Change the font color manually from Impress (if you have several pages this will be a tedious job).
- If you can change the format from pptx to ppt and then work with this ppt format since the font colors are not changed to black.


Thanks,
Denilson
Comment 6 Maida 2017-05-12 22:28:45 UTC
(Maida Sanchez, 05/12/2017)
This bug is reproduced in Apache OpenOffice 4.1.3 release - AOO413m1 on Windows 10 Enterprise 64-bit environment.

After opening the pptx file with Impress the font color was changed to black, the workaround as is mentioned in the previous comment is to change the extension of the pptx file to ppt. After doing that, open the ppt file with Impress and the font color is maintained.

It should be useful to get fixed this bug, since it’s a very long task to update all the font color (the text that was changed to black) in the presentation. 

Steps to reproduce:
1. Open a pptx file (attachments) with Power Point
2. Open a pptx file (attachments) with Impress
3. Compare the font color of both presentations
Actual Results: The font color is changed to black in Impress (see the image attached)
Comment 7 Maida 2017-05-12 22:36:02 UTC
Created attachment 86077 [details]
Comparative image - PPTX Font Color is set to black
Comment 8 Scarlen Quinsamolle 2019-11-15 06:59:50 UTC
I was able to replicate the issue in AOO 4.1.7 version - Windows 8.1

Steps to reproduce the issue:
1. Open a pptx file with AOO (Make sure that you have in your presentation different text colors)
2. Notice that the text color in AOO is black and it does not show the text with same colors that you have in Power Point

To keep the original text color in AOO, the user need to change the file extension to ppt. It would be good to show a warning 
that the original format may not be kept when opening in AOO so the user is aware that the presentation may loose the format.